updated testcase

This commit is contained in:
BVK Chaitanya 2010-07-29 16:59:49 +05:30
parent fa7edceefb
commit 1c24bab4be

View file

@ -17,19 +17,26 @@
# along with GRUB. If not, see <http://www.gnu.org/licenses/>. # along with GRUB. If not, see <http://www.gnu.org/licenses/>.
disks=`echo ls | @builddir@/grub-shell` disks=`echo ls | @builddir@/grub-shell`
other=`echo echo \\* | @builddir@/grub-shell` other=`echo echo \* | @builddir@/grub-shell`
for d in $disks; do for d in $disks; do
if ! echo "$other" | grep "$d" >/dev/null; then if echo "$d" |grep ',' >/dev/null; then
echo "$d missing from * expansion" >&2 if echo "$other" | grep "$d" >/dev/null; then
exit 1 echo "$d should not occur in * expansion" >&2
fi exit 1
fi
else
if ! echo "$other" | grep "$d" >/dev/null; then
echo "$d missing from * expansion" >&2
exit 1
fi
fi
done done
other=`echo echo '(*)' | @builddir@/grub-shell` other=`echo echo '(*)' | @builddir@/grub-shell`
for d in $disks; do for d in $disks; do
if ! echo "$other" | grep "$d" >/dev/null; then if ! echo "$other" | grep "$d" >/dev/null; then
echo "$d missing from (*) expansion" >&2 echo "$d missing from (*) expansion" >&2
exit 1 exit 1
fi fi
done done